import '../../../mhsl/custom_timetable_event/get/get_custom_timetable_event_response.dart';
import '../../marianumconnect_query.dart';

class TimetableCustomEventsGet extends MarianumConnectQuery {
  TimetableCustomEventsGet({super.dio});

  Future<GetCustomTimetableEventResponse> run() => getObject(
    'timetable/custom-events',
    GetCustomTimetableEventResponse.fromJson,
  );
}
